function pbfd_plot_init(plot_nr);

main_data = get(gcf,'UserData');

if (plot_nr == 1)
    tag_axes = 'demo_pbfd_axes_top';
    set(gcf,'CurrentAxes',findobj('Tag',tag_axes));
else
    tag_axes = 'demo_pbfd_axes_bottom';
    set(gcf,'CurrentAxes',findobj('Tag',tag_axes)); 
end;

handle_1 = 0;
handle_2 = 0;
                     
cla;
handle_1 = plot((0:main_data.N_FFT/2)/(main_data.N_FFT/2),main_data.des_freq_res_log,'b','LineWidth',1);
axis([0 1 -30 30]);
grid on;
xlabel('Normalized frequency / \pi');
ylabel('dB');
drawnow;
set(gca,'Tag',tag_axes);

if (plot_nr == 1)
    main_data.axes_top.plot_handle_1 = handle_1;
    main_data.axes_top.plot_handle_2 = handle_2;
else
    main_data.axes_bottom.plot_handle_1 = handle_1;
    main_data.axes_bottom.plot_handle_2 = handle_2;    
end;


set(gcf,'UserData',main_data);